Mongrel_rails will not autostart


#1

Hi,

I’m running a ubuntu 8.04.2 LTS server. Using ruby 1.8.6 and Rails 2.0.2
I added the mongrel_rails start -d -c /app/ to the /etc/rc.local

sofar so good…

Mongrel will start but will log

Missing the rails 2.0.2 gem. Please 'gem install -v=2.0.2 …

and then terminate

When I log onto the the console I can start mongrel_rails and it will
locate the right gems

any ideas ?

Thanks ahead
Mellex


#2

Perhaps the rails gem 2.0.2 is installed for your user but not
systemwide. So its in ~/.gem rather than /usr/lib/ruby/gems/1.8


#3

this happened to me recently. turns out i had a vendored copy of an
older version of rails, which script/console will happily ignore if
you have specified a rails version in your config/environment.rb.

config/boot.rb is not so smart.

-Jerrod


#4

Austin Godber wrote:

Perhaps the rails gem 2.0.2 is installed for your user but not
systemwide. So its in ~/.gem rather than /usr/lib/ruby/gems/1.8

That was exactly the case … now it’s fine

Thanks for your help !

Mellex